@use "./colors";

@mixin section-heading {
  font-size: 1.4em;
  font-weight: 600;
  color: colors.$neutral-dark;
}

@mixin section-description {
  font-size: 0.85rem;
  line-height: 1.6;
  color: colors.$neutral-blue;
}

@mixin hover-red-button {
  background-color: colors.$neutral-light;
  box-shadow: 0 0 0 0.1rem colors.$primary-red;
  color: colors.$primary-red;
}

@mixin hover-blue-button {
  background-color: colors.$neutral-light;
  box-shadow: 0 0 0 0.1rem colors.$primary-blue;
  color: colors.$primary-blue;
}

@mixin hover-black-button {
  background-color: colors.$neutral-light;
  box-shadow: 0 0 0 0.1rem colors.$neutral-dark;
  color: colors.$neutral-dark;
}

@mixin hover-menu-button {
  background-color: colors.$neutral-lighter;
}

@mixin transition-hover-button {
  transition: color 0.3s, background-color 0.3s, box-shadow 0.3s;
}
